## org.hibernate.cache.infinispan.util
Class CacheCommandExtensions

    java.lang.Object
      org.hibernate.cache.infinispan.util.CacheCommandExtensions

All Implemented Interfaces:
  org.infinispan.commands.module.ModuleCommandExtensions

    public class CacheCommandExtensions

extends Object
implements org.infinispan.commands.module.ModuleCommandExtensions

Command extensions for second-level cache use case

Since:
  4.0

Constructor Summary
`CacheCommandExtensions()`

Method Summary
`org.infinispan.commands.module.ExtendedModuleCommandFactory` `getModuleCommandFactory()`
`org.infinispan.commands.module.ModuleCommandInitializer` `getModuleCommandInitializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheCommandExtensions

    public CacheCommandExtensions()

Method Detail

### getModuleCommandFactory

    public org.infinispan.commands.module.ExtendedModuleCommandFactory getModuleCommandFactory()

  Specified by:
    `getModuleCommandFactory` in interface `org.infinispan.commands.module.ModuleCommandExtensions`

### getModuleCommandInitializer

    public org.infinispan.commands.module.ModuleCommandInitializer getModuleCommandInitializer()

  Specified by:
    `getModuleCommandInitializer` in interface `org.infinispan.commands.module.ModuleCommandExtensions`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.